NamingContextBindingsEnumeration (Apache Tomcat 9.0.111 API Documentation)
Description: declaration: package: org.apache.naming, class: NamingContextBindingsEnumeration

# Class NamingContextBindingsEnumeration

java.lang.Object
org.apache.naming.NamingContextBindingsEnumeration

All Implemented Interfaces:
  `Enumeration<Binding>, NamingEnumeration<Binding>`

public class NamingContextBindingsEnumeration extends Object implements NamingEnumeration<Binding>
Naming enumeration implementation.

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `protected final Iterator<NamingEntry>`
  `iterator`
  Underlying enumeration.

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `NamingContextBindingsEnumeration(Iterator<NamingEntry> entries, Context ctx)`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `void`
  `close()`
  `boolean`
  `hasMore()`
  `boolean`
  `hasMoreElements()`
  `Binding`
  `next()`
  `Binding`
  `nextElement()`

  ### Methods inherited from class Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

  ### Methods inherited from interface Enumeration

  `asIterator`

- ## Field Details

  - ### iterator

    protected final Iterator<NamingEntry> iterator
    Underlying enumeration.

- ## Constructor Details

  - ### NamingContextBindingsEnumeration

    public NamingContextBindingsEnumeration(Iterator<NamingEntry> entries, Context ctx)

- ## Method Details

  - ### next

    public Binding next() throws NamingException
    Specified by:
      `next` in interface `NamingEnumeration<Binding>`
    Throws:
      `NamingException`

  - ### hasMore

    public boolean hasMore() throws NamingException
    Specified by:
      `hasMore` in interface `NamingEnumeration<Binding>`
    Throws:
      `NamingException`

  - ### close

    public void close() throws NamingException
    Specified by:
      `close` in interface `NamingEnumeration<Binding>`
    Throws:
      `NamingException`

  - ### hasMoreElements

    public boolean hasMoreElements()
    Specified by:
      `hasMoreElements` in interface `Enumeration<Binding>`

  - ### nextElement

    public Binding nextElement()
    Specified by:
      `nextElement` in interface `Enumeration<Binding>`